package com.flyer.foster.enums;

import lombok.Getter;

/**
 * DeleteStatusEnum
 *
 * @author kelei
 * @since 2023/3/21/22:04
 */
@Getter
public enum DeleteStatusEnum {
    UNDELETED(0, "未删除"),

    DELETED(1, "已删除");

    private final Integer id;

    private final String name;

    DeleteStatusEnum(Integer id, String name) {
        this.id = id;
        this.name = name;
    }

    /**
     * 根据id获取值
     *
     * @param id id
     * @return
     */
    public static String getDeleteStatusName(Integer id) {
        for (DeleteStatusEnum value : DeleteStatusEnum.values()) {
            if (value.getId().equals(id)) {
                return value.getName();
            }
        }
        return null;
    }
}
