package com.flyer.foster.enums;

import lombok.Getter;

/**
 * TFEnum
 *
 * @author kelei
 * @since 2023/3/24/14:20
 */
@Getter
public enum TFEnum {
    FALSE(0,"false"),

    TRUE(1,"true");

    private final Integer id;

    private final String name;

    TFEnum(Integer id, String name) {
        this.id = id;
        this.name = name;
    }

    /**
     * 根据id获取值
     *
     * @param id id
     * @return
     */
    public static String getTFName(Integer id) {
        for (TFEnum value : TFEnum.values()) {
            if (value.getId().equals(id)) {
                return value.getName();
            }
        }
        return null;
    }
}
