package com.flyer.foster.service;

import com.flyer.foster.entity.Menu;
import com.baomidou.mybatisplus.extension.service.IService;
import com.flyer.foster.pojo.RoleAssignTreeMenu;
import com.flyer.foster.pojo.TreeAllMenu;
import com.flyer.foster.pojo.TreeMenu;

import java.util.List;

/**
 * <p>
 * 菜单表 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-06
 */
public interface IMenuService extends IService<Menu> {
    /**
     * 获取登录用户的所有权限
     *
     * @param userId 用户id
     * @return list
     */
    List<String> selectPermissionsByUserId(Integer userId);

    /**
     * 获取登录用户的菜单列表
     *
     * @param userName 用户名
     * @return 菜单集合
     */
    List<TreeMenu> selectMenusByUserName(String userName);

    /**
     * 根据角色获取菜单列表
     *
     * @param roleId 角色id
     */
    List<TreeAllMenu> selectMenusByRoleId(Integer roleId);

    /**
     * 获取新增角色界面的所有类型菜单
     * @return
     */
    List<TreeAllMenu> getAllTypeMenuList();

    /**
     * 角色分配菜单，获取所有菜单列表
     *
     * @return
     */
    List<RoleAssignTreeMenu> getRoleAssignTreeMenuList();
}
