package com.flyer.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * StatusCodeEnum
 *
 * @author kelei
 * @since 2022/3/14/15:30
 */
@Getter
@AllArgsConstructor
@ToString
public enum StatusCodeEnum {
    SUCCESS(2000, "成功"),

    UNAUTHORIZED(3101, "用户未登录，无法访问"),
    NO_AUTHENTICATION(3102, "没有操作权限"),

    LOGIN_SUCCESS(3201, "登录成功"),
    LOGIN_FAIL(3202, "登录失败"),
    LOGOUT_SUCCESS(3203, "登出成功"),
    LOGIN_UNREGISTERED(3204, "未注册"),

    USER_ACCOUNT_EXPIRED(3301, "账号过期，请重新登录"),
    USER_PASSWORD_ERROR(3302, "账号密码错误"),

    INVALID_TOKEN(3401, "无效的TOKEN"),
    TOKENEXPIRE(3402, "TOKEN失效"),

    BAD_SQL(3501, "SQL异常"),

    ERROR(4000, "服务器内部错误"),

    COMMENT_ERROR(87014,"评论含有违法违规内容");

    //响应状态码
    private Integer code;
    //响应信息
    private String message;
}
